#include <iostream>
#undef NDEBUG
#include <cassert>
#include <autorg_kek_glue.h>

using namespace std;

int main()
{
	cout << "Test start ok" << endl;

	int ret;

	ret = Autorg_Initialize( "../../lib" );
	cout << "Autorg_Initialize ok" << "; ret=" << ret << endl;
	assert( ret == 0 );

	ret = Autorg_Execute( "F:/Guinier/Data/test_data4/GI/GI_0.7_ave_sub.dat", "result_kek.csv" );
	cout << "Autorg_Execute kek ok" << "; ret=" << ret << endl;
	assert( ret == 0 );

	ret = Autorg_Execute("F:/Guinier/Data/test_data4/GI/GI_0.7_ave_sub.dat", "result_atsas.csv", 1 );
	cout << "Autorg_Execute atsas ok" << "; ret=" << ret << endl;
	assert( ret == 0 );

	ret = Autorg_Execute("F:/Guinier/Data/20160513autorg_error/Mei_subtRNA_00144_sub.dat", "result_error.csv" );
	cout << "Autorg_Execute error ok" << "; ret=" << ret << endl;
	assert( ret == -1 );

	ret = Autorg_Execute("F:/Guinier/Data/20160513autorg_error/Mei_subtRNA_00144_sub.dat", "result_error_rubust.csv", 0, 1);
	cout << "Autorg_Execute error robust ok" << "; ret=" << ret << endl;
	assert(ret == 0);

	Autorg_Finalize();
	cout << "Autorg_Finalize ok" << endl;

	return 0;

}